View Issue Details

IDProjectCategoryView StatusLast Update
0005157Talermechant backendpublic2018-04-15 20:34
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005157: 'paid' field in merchant_contract_terms table
DescriptionIt is unclear why there is a 'paid' field in the contract_terms table.

Also, as we do have the row_id of merchant_contract_terms, why do we store the full h_contract_terms/merchant_pub again and again in the other tables?

We should review the table structure and figure out which fields are needed and where they actually _should_ be.
TagsNo tags attached.

Activities

Christian Grothoff

2017-11-04 18:02

manager   ~0012554

Having 'paid' is fine, but it must be a 'boolean', not a 'blob'. Fixed in 65d6a48..361b91d

Issue History

Date Modified Username Field Change
2017-10-23 10:28 Christian Grothoff New Issue
2017-10-23 10:28 Christian Grothoff Status new => assigned
2017-10-23 10:28 Christian Grothoff Assigned To => Marcello Stanisci
2017-10-23 10:28 Christian Grothoff Assigned To Marcello Stanisci => Christian Grothoff
2017-11-04 18:02 Christian Grothoff Status assigned => resolved
2017-11-04 18:02 Christian Grothoff Resolution open => fixed
2017-11-04 18:02 Christian Grothoff Fixed in Version => 0.5
2017-11-04 18:02 Christian Grothoff Note Added: 0012554
2018-04-15 20:34 Christian Grothoff Status resolved => closed